## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate bugreport

Name:           rust-bugreport
Version:        0.5.0
Release:        %autorelease
Summary:        Collect system and environment information for bug reports

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/bugreport
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Collect system and environment information for bug reports.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/example-report.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+collector_operating_system-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+collector_operating_system-devel %{_description}

This package contains library source intended for building other packages which
use the "collector_operating_system" feature of the "%{crate}" crate.

%files       -n %{name}+collector_operating_system-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+format_markdown-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+format_markdown-devel %{_description}

This package contains library source intended for building other packages which
use the "format_markdown" feature of the "%{crate}" crate.

%files       -n %{name}+format_markdown-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+format_plaintext-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+format_plaintext-devel %{_description}

This package contains library source intended for building other packages which
use the "format_plaintext" feature of the "%{crate}" crate.

%files       -n %{name}+format_plaintext-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+git-version-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+git-version-devel %{_description}

This package contains library source intended for building other packages which
use the "git-version" feature of the "%{crate}" crate.

%files       -n %{name}+git-version-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+git_hash-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+git_hash-devel %{_description}

This package contains library source intended for building other packages which
use the "git_hash" feature of the "%{crate}" crate.

%files       -n %{name}+git_hash-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sys-info-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sys-info-devel %{_description}

This package contains library source intended for building other packages which
use the "sys-info" feature of the "%{crate}" crate.

%files       -n %{name}+sys-info-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Aug 06 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-5
- Regenerate with rust2rpm v24

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 21 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-1
- Update to version 0.5.0; Fixes RHBZ#2071037

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Aug 16 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.1-1
- Update to version 0.4.1; Fixes RHBZ#1991155

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 18 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.0-1
- Initial package (closes: RHBZ#1983470)
